%{?scl:%scl_package nodejs-char-spinner}
%{!?scl:%global pkg_name %{name}}
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:		%{?scl_prefix}nodejs-char-spinner
Version:	1.0.1
Release:	7%{?dist}
Summary:	Node.js char spinner
License:	ISC
Url:		https://github.com/isaacs/char-spinner
Source:		http://registry.npmjs.org/char-spinner/-/char-spinner-%{version}.tgz
BuildRequires:	nodejs-packaging
BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

%description
Put a little spinner on process.stderr, as unobtrusively as possible. 

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/char-spinner
cp -pr package.json spin.js \
	%{buildroot}%{nodejs_sitelib}/char-spinner

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test/*.js
%endif

%files
%doc README.md
%{nodejs_sitelib}/char-spinner
%license LICENSE

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 10 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.1-3
- Fixed dependency on nodejs-packaging
- added %%nodejs_symlink_deps, %%check and %%license
- changed ExclusiveArch and %%nodejs_find_and_provides
- removed Group, BuildRoot and %%defattr


* Tue Jan 13 2015 Tomas Hrcka <thrcka@redhat.com> - 1.0.1-2
- Remove undefined macro

* Mon Jan 12 2015 Tomas Hrcka <thrcka@redhat.com> - 1.0.1-1
- Initial build

